net.sf.jasperreports.engine

## Interface JRPrintImage

- All Superinterfaces:
    JRAlignment, JRBoxContainer, JRCommonElement, JRCommonGraphicElement, JRCommonImage, JRIdentifiable, JRPenContainer, JRPrintAnchor, JRPrintElement, JRPrintGraphicElement, JRPrintHyperlink, JRPropertiesHolder, JRStyleContainer
  All Known Implementing Classes:
    JRBasePrintImage, JRRecordedValuesPrintImage, JRTemplatePrintImage

      public interface JRPrintImage
      extends JRPrintGraphicElement, JRPrintAnchor, JRPrintHyperlink, JRAlignment, JRCommonImage

  Version:
    $Id: JRPrintImage.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Field Summary

    - ### Fields inherited from interface net.sf.jasperreports.engine.JRPrintElement

      `UNSET_PRINT_ELEMENT_ID, UNSET_SOURCE_ELEMENT_ID`

    - ### Fields inherited from interface net.sf.jasperreports.engine.JRPrintHyperlink

      `PROPERTY_IGNORE_HYPERLINK_SUFFIX`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `OnErrorTypeEnum` | `getOnErrorTypeValue()`
    `Renderable` | `getRenderable()`
    `JRRenderable` | `getRenderer()` Deprecated. Replaced by `getRenderable()`.
    `boolean` | `isLazy()`
    `boolean` | `isUsingCache()`
    `void` | `setLazy(boolean isLazy)`
    `void` | `setOnErrorType(OnErrorTypeEnum onErrorType)`
    `void` | `setRenderable(Renderable renderer)`
    `void` | `setRenderer(JRRenderable renderer)` Deprecated. Replaced by `setRenderable(Renderable)`.
    `void` | `setScaleImage(ScaleImageEnum scaleImage)` Sets the image scale type.
    `void` | `setUsingCache(boolean isUsingCache)`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRPrintGraphicElement

      `setFill`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRPrintElement

      `accept, getHeight, getKey, getOrigin, getPrintElementId, getSourceElementId, getWidth, getX, getY, setHeight, setStyle, setUUID, setWidth, setX, setY`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRPropertiesHolder

      `getParentProperties, getPropertiesMap, hasProperties`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRIdentifiable

      `getUUID`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRPrintAnchor

      `getAnchorName, getBookmarkLevel, setAnchorName, setBookmarkLevel`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRPrintHyperlink

      `getHyperlinkAnchor, getHyperlinkPage, getHyperlinkParameters, getHyperlinkReference, getHyperlinkTargetValue, getHyperlinkTooltip, getHyperlinkTypeValue, getLinkTarget, getLinkType, setHyperlinkAnchor, setHyperlinkPage, setHyperlinkParameters, setHyperlinkReference, setHyperlinkTarget, setHyperlinkTooltip, setHyperlinkType, setLinkTarget, setLinkType`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRAlignment

      `getHorizontalAlignmentValue, getOwnHorizontalAlignmentValue, getOwnVerticalAlignmentValue, getVerticalAlignmentValue, setHorizontalAlignment, setVerticalAlignment`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRCommonImage

      `getOwnScaleImageValue, getScaleImageValue`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRCommonGraphicElement

      `getFillValue, getLinePen, getOwnFillValue`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRCommonElement

      `getBackcolor, getForecolor, getModeValue, getOwnBackcolor, getOwnForecolor, getOwnModeValue, setBackcolor, setForecolor, setMode`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRPenContainer

      `getDefaultLineColor, getDefaultLineWidth`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRStyleContainer

      `getDefaultStyleProvider, getStyle, getStyleNameReference`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRBoxContainer

      `getDefaultLineColor, getLineBox`

- - ### Method Detail

    - #### getRenderer

          JRRenderable getRenderer()

      Deprecated. Replaced by `getRenderable()`.

    - #### setRenderer

          void setRenderer(JRRenderable renderer)

      Deprecated. Replaced by `setRenderable(Renderable)`.

    - #### getRenderable

          Renderable getRenderable()

    - #### setRenderable

          void setRenderable(Renderable renderer)

    - #### setScaleImage

          void setScaleImage(ScaleImageEnum scaleImage)

      Description copied from interface: `JRCommonImage`
      Sets the image scale type.
      Specified by:
        `setScaleImage` in interface `JRCommonImage`
      Parameters:
        `scaleImage` - a value representing one of the scale type constants in `ScaleImageEnum`

    - #### isUsingCache

          boolean isUsingCache()

    - #### setUsingCache

          void setUsingCache(boolean isUsingCache)

    - #### isLazy

          boolean isLazy()

    - #### setLazy

          void setLazy(boolean isLazy)

    - #### getOnErrorTypeValue

          OnErrorTypeEnum getOnErrorTypeValue()

    - #### setOnErrorType

          void setOnErrorType(OnErrorTypeEnum onErrorType)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com